# Combined logger

The combined logging module implements the most common used format: almost every log parsing programs works with this format. It is the default format for Cherokee, Apache and other web servers.

### Parameters

This logger module accepts two parameters:

- AccessLog path: Specifies the file where the access information has to be written.
- ErrorLog path: Sets the full path to the errors log file.

If some of the parameters are not set, it will write the messages to syslog instead of writting it into a file.

### Examples

    Log combined

Use combined (Apache log compatible) to send all the logging information to syslog.

    Log combined {
        AccessLog /var/log/cherokee.access
        ErrorLog  /var/log/cherokee.error
    }

It uses the combined logger to write two different logs: one for accesses and other for errors.